package kr.co.jinwoosi.clfd.common.lombok;

import kr.co.jinwoosi.clfd.common.model.SimpleUser;
import org.junit.Test;

public class SimpleUserLombokTest {

    @Test
    public void test() {
        SimpleUser u1 = new SimpleUser(1L, "U1");
        u1.setSuperUserId("1");
        SimpleUser u2 = new SimpleUser(1L, "U1");
        u2.setSuperUserId("1");

        System.out.println(u1.equals(u2));
    }

    @Test
    public void builderTest() {
        Child child = Child.builder()
                .parentAge(10)
                .parentName("name")
                .childAge(5)
                .childName("child")
                .build();
        System.out.println(child.toString());
    }
}
